Bug Hunting Session
Bug 95689 - List indent is broken
Summary: List indent is broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86 (IA32) Windows (All)
: medium major
Assignee: Noel Grandin
URL:
Whiteboard: target:5.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-11-09 08:42 UTC by Regina Henschel
Modified: 2016-10-25 19:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2015-11-09 08:42:55 UTC
Start writer and write a paragraph.
Click on "Bullet List" button.
Open context menu and click on item "Bullets and Numbering".
Goto tab "Position".
For Level 1 set:
    Aligned at: 2.1 cm
    Numbering alignment: left
    Numbering followed by: Tab stop
                       at: 3.7 cm
                Indent at: 3.7 cm
Click OK

Expexted behavior: The list item follows the new setting.
Noticed behavior: Nothing happens.

When you open the "Bullets and Numbering" dialog again, you see, that the entered values were not used, but the dialog has still the default values.

I see the bug in Version: 5.1.0.0.alpha1+
Build ID: 262b5e0b3e870ea51c590de8d6cc34111c34ad0f
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-09-28_06:14:37
Locale: de-DE (de_DE)

It was OK at least till Version: 5.1.0.0.alpha1+
Build ID: ac226443522c55ab75cab8eed354b999052135a7
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-09-18_23:26:58
Locale: de-DE (de_DE)
Comment 1 raal 2015-11-10 14:12:39 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one? Thanks

3b3419d9e5b5e397dc4ad05d1151446cfb48db53 is the first bad commit
commit 3b3419d9e5b5e397dc4ad05d1151446cfb48db53
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Thu Sep 24 12:19:49 2015 -0700

    source sha:e85b2333bce7b1dcae73861df6d90b48b9f4efe5
    source sha:e85b2333bce7b1dcae73861df6d90b48b9f4efe5

	author	Noel Grandin <noelgrandin@gmail.com>	2015-09-24 11:53:17 (GMT)
committer	Noel Grandin <noelgrandin@gmail.com>	2015-09-24 16:19:37 (GMT)
commit	e85b2333bce7b1dcae73861df6d90b48b9f4efe5 (patch)

bibisect-win32-5.1
$ git bisect log
# bad: [7af0dacdc70e7e8bd0785ab0be6e6ca64b64d08d] source sha:8bde421ccec9c10fe1382ad68485852889dd4c74
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start '7af0dacdc70e7e8bd0785ab0be6e6ca64b64d08d' 'c1efd324c6ad448ac9edb030dc9738b9e6899e4d'
# good: [3f6a85ce123f4e0c065f1c28b02f66dc7734cc04] source sha:647b5aecd4c3facc302df33386451dda732aab98
git bisect good 3f6a85ce123f4e0c065f1c28b02f66dc7734cc04
# good: [ef24bd27bb60c92140bf2f76403298d08f668abb] source sha:f7dc03f666954b741b90c5021704249a4f76ed7b
git bisect good ef24bd27bb60c92140bf2f76403298d08f668abb
# bad: [4953f85964c6dbb49f5c75eef6ddc043ae1ba5a1] source sha:7fa6bdeda854a801d2a1b30324b29fdd383ca0c2
git bisect bad 4953f85964c6dbb49f5c75eef6ddc043ae1ba5a1
# bad: [c519ca7704a5492e51a3fe9125c06f4de876fd36] source sha:3de49e44c517f3482bc2a7989399a31443d07fdd
git bisect bad c519ca7704a5492e51a3fe9125c06f4de876fd36
# good: [18bd4a276592564654d4bee8716bc1956bf379a4] source sha:9d55221ffeb4ca408e34a7cc129fa2dfa0b9149a
git bisect good 18bd4a276592564654d4bee8716bc1956bf379a4
# bad: [8683a9e4f776f080cc9ca75c39bc8e96a14d4f8c] source sha:b54966401d9af466120e05daa81f1ec47a43353b
git bisect bad 8683a9e4f776f080cc9ca75c39bc8e96a14d4f8c
# bad: [79988bfdd9b3b31faba0ca9dfd2b425a96053e90] source sha:b24286e46ebd0dbc2acbea30627572a66707f346
git bisect bad 79988bfdd9b3b31faba0ca9dfd2b425a96053e90
# bad: [3429d0742a8aafb3ac5231b21f65eadba2c858b8] source sha:8c7ba16ba4bdedb4354f342b20d5a5de8a132b48
git bisect bad 3429d0742a8aafb3ac5231b21f65eadba2c858b8
# good: [b0604b83e6a941564c9a6e0223cd9c0ed84cb109] source sha:c4fba6557cd7743d3f7ecc542f9cb2a36d0cd382
git bisect good b0604b83e6a941564c9a6e0223cd9c0ed84cb109
# bad: [cc5240a4a995e09540b64696fb8cfbaa3e9dec92] source sha:96fa0df15b2be95fc3c4dc3df8ad9b77a4baeebd
git bisect bad cc5240a4a995e09540b64696fb8cfbaa3e9dec92
# good: [eef8fc682a4bcbe6bafe0f5ad6cc9f5dbe75ea21] source sha:32193abe8ff1dfec2b95e152d0c421af48bd1b84
git bisect good eef8fc682a4bcbe6bafe0f5ad6cc9f5dbe75ea21
# bad: [3b3419d9e5b5e397dc4ad05d1151446cfb48db53] source sha:e85b2333bce7b1dcae73861df6d90b48b9f4efe5
git bisect bad 3b3419d9e5b5e397dc4ad05d1151446cfb48db53
# good: [5a3cf2d4ed7d9ad910ff4f35141be9b5d580dd97] source sha:ff6462e6307e6924dc6c8178043ae9032f4b4152
git bisect good 5a3cf2d4ed7d9ad910ff4f35141be9b5d580dd97
# first bad commit: [3b3419d9e5b5e397dc4ad05d1151446cfb48db53] source sha:e85b2333bce7b1dcae73861df6d90b48b9f4efe5
Comment 2 Commit Notification 2015-11-12 10:30:56 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98785dbb95eca5443b38535cba6552e21d4e2c5b

fix tdf#95689 - List indent is broken

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2015-12-17 10:35:04 UTC Comment hidden (obsolete)